The Spring Framework

## org.springframework.web.context
Interface ServletConfigAware

All Known Implementing Classes:
  SimpleServletPostProcessor

    public interface ServletConfigAware

Interface to be implemented by any object that wishes to be notified of the ServletConfig (typically determined by the WebApplicationContext) that it runs in.

Only satisfied if actually running within a Servlet-specific WebApplicationContext. If this callback interface is encountered elsewhere, an exception will be thrown on bean creation.

Since:
  2.0
Author:
  Juergen Hoeller
See Also:
  `ServletContextAware`

Method Summary
`void` `setServletConfig(ServletConfig servletConfig)` Set the ServletConfig that this object runs in.

Method Detail

### setServletConfig

    void setServletConfig(ServletConfig servletConfig)

  Set the ServletConfig that this object runs in.

  Invoked after population of normal bean properties but before an init callback like InitializingBean's `afterPropertiesSet` or a custom init-method. Invoked after ApplicationContextAware's `setApplicationContext`.

  Parameters:
    `servletConfig` - ServletConfig object to be used by this object
  See Also:
    `InitializingBean.afterPropertiesSet()`, `ApplicationContextAware.setApplicationContext(org.springframework.context.ApplicationContext)`

The Spring Framework

Copyright © 2002-2008 The Spring Framework.